Package org.springframework.scheduling.quartz

# Class MethodInvokingJobDetailFactoryBean.StatefulMethodInvokingJob

java.lang.Object
org.springframework.scheduling.quartz.QuartzJobBean
org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean.MethodInvokingJob
org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean.StatefulMethodInvokingJob

All Implemented Interfaces:
  `Job`

Enclosing class:
  MethodInvokingJobDetailFactoryBean

@PersistJobDataAfterExecution @DisallowConcurrentExecution public static class MethodInvokingJobDetailFactoryBean.StatefulMethodInvokingJob extends MethodInvokingJobDetailFactoryBean.MethodInvokingJob
Extension of the MethodInvokingJob, implementing the StatefulJob interface. Quartz checks whether jobs are stateful and if so, won't let jobs interfere with each other.

## Field Summary

### Fields inherited from class org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean.MethodInvokingJob

`logger`

## Constructor Summary

Constructors
Constructor
Description
`StatefulMethodInvokingJob()`

## Method Summary

### Methods inherited from class org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean.MethodInvokingJob

`executeInternal, setMethodInvoker`

### Methods inherited from class org.springframework.scheduling.quartz.QuartzJobBean

`execute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StatefulMethodInvokingJob

public StatefulMethodInvokingJob()